#include "xd3dvertexbuffer.h"

XD3DVertexBuffer::XD3DVertexBuffer()
    : XD3DResource()
    , mFormat()
{
    SetName("D3D Vertex Buffer");
}

void XD3DVertexBuffer::ParseData(XDataStream *aStream)
{
    XD3DResource::ParseData(aStream);

    mFormat.ParseData(aStream);
}

void XD3DVertexBuffer::Clear()
{
    
}
